Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalIconFactory.TreeControlIcon

    java.lang.Object
      |
      +--javax.swing.plaf.metal.MetalIconFactory.TreeControlIcon

public static class MetalIconFactory.TreeControlIcon
extends java.lang.Object
implements Icon, java.io.Serializable

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `isLight`

Constructor Summary
`MetalIconFactory.TreeControlIcon(boolean isCollapsed)`

Method Summary
`int` | `getIconHeight()`
`int` | `getIconWidth()`
`void` | `paintIcon(java.awt.Component c, java.awt.Graphics g, int x, int y)`
`void` | `paintMe(java.awt.Component c, java.awt.Graphics g, int x, int y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isLight

    protected boolean isLight

Constructor Detail

### MetalIconFactory.TreeControlIcon

    public MetalIconFactory.TreeControlIcon(boolean isCollapsed)

Method Detail

### paintIcon

    public void paintIcon(java.awt.Component c,
                          java.awt.Graphics g,
                          int x,
                          int y)

  Specified by:
    paintIcon in interface Icon

### paintMe

    public void paintMe(java.awt.Component c,
                        java.awt.Graphics g,
                        int x,
                        int y)

### getIconWidth

    public int getIconWidth()

  Specified by:
    getIconWidth in interface Icon

### getIconHeight

    public int getIconHeight()

  Specified by:
    getIconHeight in interface Icon

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.